/**
 * Header file for general "Load Balancing" logic.
 */


// System Import Headers.
#include <ctype.h>
#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>


// Function Prototypes.
void main_display_status();
void main_terminate_workers();
void worker_send_status();
int worker_check_status();
void worker_send_request();
void worker_handle_request();
